<?
header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
use_helper('UrlFunctions');
$o_ObjectBean = new MercadoBean();
$tamanioPag = 10;


$o_ObjectBean->page = $page;
$o_ObjectBean->tamPag = $tamanioPag;
$o_ObjectBean->sortCampos = $sortCampos;
$o_ObjectBean->sortType   = $sortType;

if(myUser::getUser()->getIdPadre() == "1" || myUser::getUser()->getRoleId() == "sys.ope"){
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult 	= $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	$idAdministrador 			= $o_ColaboradorBeanResult[0]->getIdPadre();
 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
 	//SIN FILTRO
 }elseif(myUser::getUser()->getRoleId() == "sys.res"){
  	$idAdministrador = myUser::getUser()->getIdColaborador();
 }

if($idAdministrador){
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	//----------------------------------------------------
	$o_SucursalMercadoBean = new SucursalMercadoBean();
	if(is_object($a_o_sucursal[0])){
		//echo $a_o_sucursal[0]->getIdSucursal();
		$o_SucursalMercadoBean->setIdSucursal($a_o_sucursal[0]->getIdSucursal());
		$o_SucursalMercadoBL = new SucursalMercadoBL();
		$a_o_sucursalmercado = $o_SucursalMercadoBL->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean);
		if(is_array($a_o_sucursalmercado)){
			foreach ($a_o_sucursalmercado as $key => $o_sucursalmercado){
				$a_IdMercados[] = $o_sucursalmercado->getIdMercado();
			}
		}
	}else{
		$a_IdMercados[] = '0';
	}
	$o_ObjectBean->setIdMercados($a_IdMercados);
}
	


if($IdMercado){
  if($IdMercado   != ""){ $o_ObjectBean->setIdMercado($IdMercado); }
}else{
  if($Descripcion   !=""){ $o_ObjectBean->setDescripcion($Descripcion); }
  if($cboEstado    !=""){ $o_ObjectBean->setEstado($cboEstado); } 
}

$o_class = new MercadoBL();
$a_ObjectBean = $o_class->busquedaMercado($o_ObjectBean);


$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_class->getCountResult($o_ObjectBean));
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

if(!$page) $page = 1;
ViewResponse::getInstance()->setMethodAjax();
  
?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">

      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
       <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
                 <th width="5%" >Nro</th>
                <!-- <th width="10%" id="col01" onMouseOver="sort_col(this);" ><?=showImgOrder($valuesSort, 'CodigoDocente','C�digo')?>&nbsp;</th>
                <th width="20%" id="col01" onMouseOver="sort_col(this);" ><?=showImgOrder($valuesSort, 'Nombre','Nombre')?>&nbsp;</th> -->
                <th width="20%" align="left">Descripci�n&nbsp;&nbsp;&nbsp;</th>
                <th width="6%" >Estado&nbsp;&nbsp;&nbsp;</th>
                <th width="12%" id="col01" onMouseOver="sort_col(this);" >Usr.Crea.</th>
                <th width="12%" id="col01" onMouseOver="sort_col(this);" >Fec.Crea.</th>
              
                <th width="20%">Opciones</th>
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
                <? foreach ($a_ObjectBean as $iKey => $o_objBean){ 
                	$o_MercadoRepresentante = new MercadoRepresentanteBean();
                	$o_MercadoRepresentante->setIdMercado($o_objBean->getIdMercado());
                	
                	$o_RepresentanteMercadoBL = new MercadoRepresentanteBL();
                	$a_o_MercadoRepresentante = $o_RepresentanteMercadoBL->busquedaMercadoRepresentanteDetalle($o_MercadoRepresentante);
                	?>
	                <tr onClick="TR_click(this);">
	                   <td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>
	                
		                <td align="left"><?=$o_objBean->getDescripcion()?></td>
		                <td align="center"><?php if($o_objBean->getEstado() == "A") echo "Activo";else "Inactivo"?></td>
		                <td align="center"><?=$o_objBean->getUsuarioCreacion()?></td>
		                <td align="center"><?=$o_objBean->getFechaCreacion()?></td>
		                <td align="center" valign="top">
		                <!--<input class="button" type="button" value="Huella con Problemas" onClick="parent.objMainTab.modalDialog('<?=buildUrl('mer/huellaconproblemasmasivo',"id=".$o_objBean->getIdMercado())?>','001')" style="cursor:pointer">-->
		                <input class="button" type="button" value="Cambiar Sucursal" onClick="parent.objMainTab.modalDialog('<?=buildUrl('mer/changeSucursal',"id=".$o_objBean->getIdMercado())?>',{title:'Cambio de Sucursal',width:500,height:280})" style="cursor:pointer">
	                     <img src="/images/common/buttons/btnReview.gif" title="Mostrar" style="cursor:pointer;" onclick="showInvestigacion('<?=$o_objBean->getIdMercado()?>');">&nbsp;
	                     <input type="image" name="Editar" title="Editar" src="/images/common/buttons/btnEdit.gif" onclick="parent.objMainTab.reqBody('<?=buildUrl('mer/edit/id/'.$o_objBean->getIdMercado());?>','001')">&nbsp;
	                     <?php if(is_array($a_o_MercadoRepresentante) && count($a_o_MercadoRepresentante) > 0){?>
	                     	<input type="image" name="Eliminar" title="No se puede eliminar" src="/images/common/buttons/btnDelete.gif" >
	                     <?php }else{?>
	                     	<input type="image" name="Eliminar" title="Eliminar" src="/images/common/buttons/btnDelete.gif" onclick="deleteRegistro('<?=$o_objBean->getIdMercado()?>','<?=($tamanioPag)*($page-1)+($iKey+1)?>')">
	                     <?php }?>
	                    
	                  </td>
	                </tr>
                <? } ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>
      </table>